## gourmet 0.17.5~alpha2

=== requirements.txt ===
argcomplete
BeautifulSoup4
ebooklib
keyring
lxml
Pillow
pycairo
pyenchant
pygobject
pygtkspellcheck
reportlab
requests
scrape-schema-recipe
selenium
setuptools
SQLAlchemy
toml

## gourmet 0.13.4-2

=== debian/changelog ===
gourmet (0.13.4-2) unstable; urgency=low

  * Maemo package
	
 -- Daniel Martin Yerga <dyerga@gmail.com>  Sun, 13 Apr 2008 20:53:36 +0200
 

gourmet (0.13.4-1) breezy; urgency=low

  * Fix encoding bug in rezkonv_importer that prevented gourmet from running with python 2.5 * Fix
  * Remove double escaping from xml export.
  * Fix export in foreign locales (with , separators)
  * Fix bug importing unknown units with interactive_importer (including generic HTML)
  * Fix bug importing unknown units with interactive_importer (including generic HTML)
  * Fix bug on update that threw error when time strings were nonsense.
  * Fix bug in recipeIdentifier that prevented upgrades when ingredients had no amounts.
  * Fix bug in update code that prevented updating if version info was stored incorrectly.
  * Update recipezaar importer
	
 -- Thomas Mills Hinkle <Thomas_Hinkle@sf.net>  Wed, 28 Mar 2007 14:53:36 -0500
	

gourmet (0.13.3-1) breezy; urgency=low
	
  * Update tests.
  * Fix a number of minor bugs.

 -- Thomas Mills Hinkle <Thomas_Hinkle@sf.net>  Fri, 02 Jan 2007 10:07:36 -0500

gourmet (0.13.2-1) breezy; urgency=low

  * Tweak recipe display so nutrition/recipe tab is always in view.
  * Fix bug in Tablespoon conversion in U.S. English
  * Make recipe card properly respect adjust-units setting.

 -- Thomas Mills Hinkle <Thomas_Hinkle@sf.net>  Fri, 29 Dec 2006 10:30:36 -0500

gourmet (0.13.1-1) breezy; urgency=low

  * Various small bugfixes.

 -- Thomas Mills Hinkle <Thomas_Hinkle@sf.net>  Wed, 27 Dec 2006 22:39:22 -0500

gourmet (0.13.0-1) breezy; urgency=low

  * Update nutrition stuff with by-ingredient nutritional info highlighting.
  * Slightly updated recipe card interface with nutritional info on a separate tab.
  * Fix some bugs in showing links as well as other stuff.
  * Automatically add a link attribute to all HTML imports.
  * Nicely wrap text in list-views everywhere for tidier displays
    and no more horizontal-scrollbars.

 -- Thomas Mills Hinkle <Thomas_Hinkle@sf.net>  Mon,  23 Dec 2006 20:45:47 -0400

gourmet (0.12.2-1) breezy; urgency=low

  * Fix Mealmaster importing bug
  * Fix bug (?) which could cause ingredient search to fail in strange
    cases (where a DB had ingredients with key=None)

 -- Thomas Mills Hinkle <Thomas_Hinkle@sf.net>  Mon,  9 Oct 2006 20:45:47 -0400

gourmet (0.12.1-2) breezy; urgency=low

  * Fix buggy trash behavior.
  * Begin storing version # in database to allow database upgrades and fixes.
  * Actually perform fix for broken databases from pre-0.11.3
    installs (implemented in 0.11.5 but not actually activated in the
    release)

 -- Thomas M. Hinkle <thomas_hinkle@sf.net>  Sun,  3 Sep 2006 11:02:39 -0400

=======

gourmet (0.12.1-1) breezy; urgency=low

  * Fix buggy trash behavior.
  * Store version in database for ease of upgrades.
  * Implement fix for broken databases from pre-0.11.4 installs
  * Fix-up paragraphing in printing.

 -- Thomas Mills Hinkle <Thomas_Hinkle@sf.net>  Sun,  8 Oct 2006 19:53:47 -0400

>>>>>>> 1.24.2.2

gourmet (0.12.0.pre1-1) breezy; urgency=low

  * Fix sort order
  * Don't drop default entries for Category/Cuisine once user has entered one.
  * Change version number to reflect intend to create a stable version.

 -- Thomas M. Hinkle <thomas_hinkle@sf.net>  Sun,  3 Sep 2006 11:02:39 -0400

gourmet (0.11.5-1) breezy; urgency=low

  * Add more PDF Export modes for printing index cards, multiple
    columns, etc. Also add nice print page-layout widget.
  * Tweak spacing in recipe card to avoid ugly disappearance of "Edit" buttons
  * Recognize units in all kinds of capitalized or uncapitalized forms.
  * Fix up bug in time-scanning code that led to making a link like
    <a>3 min</a>utes instead of <a>3 minutes</a>
  * Add i18n for Swedish.
  * Apply patch to fix text-flow in recipe card (Shane Hathaway)
  * Apply localization patch to simplify translations. (Jens Persson)

 -- Thomas M. Hinkle <tom@localhost.localdomain>  Sat, 19 Aug 2006 13:44:55 -0400

gourmet (0.11.4-2) breezy; urgency=low

  * reportlab dependency.

 -- Thomas M. Hinkle <tom@localhost.localdomain>  Thu,  3 Aug 2006 19:23:06 -0400

gourmet (0.11.4-1) breezy; urgency=low

  * Make deleting an ingredient ungrey "Save" button
  * Fix various bits of badness with Undo
  * Fix gravity of cursor for text markup in instructions and notes.
  * Fix allrecipes.com import
  * Allow recognition of times written as 01:30 for 1 1/2 hours
  * Improve testing suites (and therefore improve thoroughness of
    bug-checking before release)
  * Fixed generic web import.
  * PDF Import
  * Printing support for windows
  * Fix ugly window placement issues on windows and some other places.
  * Improve recipezaar import.

 -- Thomas M. Hinkle <tom@localhost.localdomain>  Thu,  3 Aug 2006 18:58:46 -0400

gourmet (0.11.3-1) breezy; urgency=low

  * Fix bug that caused unicode error on upgrade from metakit.
  * Fix some other bugginess in handling old upgrades.
  * i18n fixes from Simon Darlington
  * Fix bug that reversed ingredient order when adding ingredients to a group.
  * Allow fraction-use to be turned off, and make it default to off for
    German (other locales can default it to off via defaults_foo.py)	
  * Rearrange main index window to work better on small screens.

 -- Thomas Mills Hinkle <Thomas_Hinkle@sf.net>  Thu, 22 Jun 2006 07:59:38 -0400

gourmet (0.11.2-3) breezy; urgency=low

  * Fix minor bug in convert.py
  * Include sound files as well as sound package.

 -- Thomas M. Hinkle <tom@localhost.localdomain>  Wed,  3 May 2006 21:26:13 -0400

gourmet (0.11.2-2) breezy; urgency=low

  * Include sound module so we actually work this time.

 -- Thomas M. Hinkle <tom@localhost.localdomain>  Wed,  3 May 2006 18:34:58 -0400

gourmet (0.11.2-1) breezy; urgency=low

  * Add new icons from Yula Zubritsky
  * Add nifty timer.
  * Parse times written out as words.

 -- Thomas M. Hinkle <Thomas_Hinkle@alumni.brown.edu>  Mon,  1 May 2006 21:51:23 -0400



=== debian/control ===
Source: gourmet
Section: user/tools
Priority: optional
Maintainer: Daniel Martin Yerga <dyerga@gmail.com>
Build-Depends: debhelper (>= 4.0.0), python2.5-dev
Standards-Version: 3.6.0

Package: gourmet
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python2.5, python2.5-gtk2, python2.5-imaging, python2.5-hildon
Suggests: libmetakit-python
Description: A gtk-based recipe organizer and shopping list generator
 Gourmet Recipe Manager is a gtk-based recipe organizer and shopping
 list generator intended for the GNOME desktop environment (though it
 does not need all the GNOME libraries). Gourmet can import
 Mealmaster(tm) files and can export recipes in a number of formats,
 including text, RTF and web pages. Gourmet also can calculate nutritional
 information for recipes.

## gourmet 0.13.4-3

=== debian/changelog ===
gourmet (0.13.4-3) unstable; urgency=low

  * Problem uploading the package to the repo.
	
 -- Daniel Martin Yerga <dyerga@gmail.com>  Mon, 14 Apr 2008 10:53:36 +0200
 

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 3.6.0
 
 Package: gourmet
-Architecture: all
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, python2.5, python2.5-gtk2, python2.5-imaging, python2.5-hildon
 Suggests: libmetakit-python
 Description: A gtk-based recipe organizer and shopping list generator

=== debian/rules ===
#!/usr/bin/make -f

DT:=debian/gourmet
DTUS:=${DT}/usr/share
DTUSL:=${DTUS}/locale
DTUSG:=${DTUS}/gourmet

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean 

patch: patch-stamp
patch-stamp:
	dpatch apply-all

unpatch:
	dpatch deapply-all
	rm -rf patch-stamp debian/patched

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/gourmet.
	python2.5 setup.py install --no-compile --root=$(CURDIR)/debian/gourmet --install-lib /usr/share


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman debian/gourmet.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## gourmet 0.15.4

=== debian/changelog ===
gourmet (0.15.4-2ubuntu1.1) maverick-proposed; urgency=low

  * Grab patch 02_sqlalchemy from Debian: backport fix from upstream git
    for compatibility with sqlalchemy 0.6.  LP: #618643.
  * 02_sqlalchemy-bug: further patch from upstream git to fix a sqlalchemy
    bug (Ctrl+Q doesn't work).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Jan 2011 16:01:37 -0800

gourmet (0.15.4-2ubuntu1) maverick; urgency=low

  * Merge from Debian unstable, remaining changes:
    * debian/control:
      - Recommend python-gtkspell for printing
    * debian/patches/01_fix_raise_str.patch: don't raise str exception
      in src/lib/plugin_gui.py
    * debian/patches/03_dont_remove_nonexistent_plugin.patch: don't
      remove an inactive plugin in plugin_loader.py and don't deactivate
      a plugin from a non-existent database
  * Dropped changes, superseded in Debian:
    - Drop forcing of python2.5
    - debian/control: bump Standards-Version to 3.8.3
    - debian/compat: bump to 5
    - debian/control: Depends on python-poppler (needed for printing)
    - add debian/README.source
  * Don't set debian/pyversions to 2.5, this is obviously wrong.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 07 Jun 2010 00:14:10 +0000

gourmet (0.15.4-2) unstable; urgency=low

  * Added python-poppler as dependency needed for printing (Closes: #548612)

 -- Christian Marillat <marillat@debian.org>  Fri, 16 Apr 2010 19:25:25 +0200

gourmet (0.15.4-1) unstable; urgency=low

  * New maintainer (Closes: #572734)
  * New upstream release [Closes: #530841)

 -- Christian Marillat <marillat@debian.org>  Sun, 07 Mar 2010 10:03:58 +0100

gourmet (0.15.3-0ubuntu2) lucid; urgency=low

  * debian/control:
    - Recommend python-gtkspell rather than python-gnome2-extras

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 29 Mar 2010 23:03:14 +0100

gourmet (0.15.3-0ubuntu1) lucid; urgency=low

  * New upstream release
  * drop debian/patches/02_fix_nutrition_index_out_of_range.patch: this
    is fixed properly upstream now

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 29 Dec 2009 16:08:20 -0600

gourmet (0.15.2-0ubuntu1) lucid; urgency=low

  * New upstream release (LP: #431806, Closes: #530841). Also fixes the
    following bugs:
    - LP: #315836
    - LP: #295982
    - LP: #316445 (the GUI has been changed so this no longer applies)
  * Drop forcing of python2.5
  * debian/control: Recommends python-gnome2-extras for printing
  * drop debian/patches/05-add_manpage.patch, which is now included upstream
  * Fix some lintian warnings:
    - add debian/README.source
    - debian/control: bump Standards-Version to 3.8.3
    - debian/compat: bump to 5
  * debian/control: Depends on python-poppler (needed for printing)
  * debian/patches/01_fix_raise_str.patch: don't raise str exception
    in src/lib/plugin_gui.py
  * debian/patches/02_fix_nutrition_index_out_of_range.patch: don't
    add entries beyond the width of the field in databaseGrabber.py
  * debian/patches/03_dont_remove_nonexistent_plugin.patch: don't
    remove an inactive plugin in plugin_loader.py and don't deactivate
    a plugin from a non-existent database

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 29 Dec 2009 09:12:49 -0600

gourmet (0.14.5-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * When built with Python 2.6 as default, do not install
    into /usr/local/* (Closes: #571475)

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Tue, 02 Mar 2010 22:41:25 +0000

gourmet (0.14.5-2ubuntu2) karmic; urgency=low

  * force python 2.5. This change should be able to be dropped 0.14.9 and
    later
    - debian/control: use 'XS-Python-Version: 2.5'
    - debian/control: Depends on python2.5
    - debian/rules: Replace all '#!' calls to python with python2.5
    - LP: #352678

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 03 Jul 2009 21:16:20 -0500

gourmet (0.14.5-2ubuntu1) jaunty; urgency=low

  * Use --install-layout=deb to fix FTBFS with Python 2.6.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 07 Mar 2009 00:24:16 +0100

gourmet (0.14.5-2) unstable; urgency=low

  * reintroduce conflict for python-pysqlite. (Closes: #516803)
    python prior to 2.5 is thus unsupported.
  * drop suggests for obsolete packages

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 24 Feb 2009 21:23:47 +0900

gourmet (0.14.5-1) unstable; urgency=low

  * new upstream release
  * 0.14.5 no longer conflicts with newer versions of python-pysqlite and
    python-sqlalchemy.  Relax dependencies accordingly.
  * all patches have been pushed upstream, so they can be dropped in Debian.
    The manpage was forgotten when preparing the tarball upstream, so it
    will stick around for another release.

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 10 Feb 2009 17:34:51 +0100

gourmet (0.14.3-2) unstable; urgency=low

  * Conflict with python-pysqlite >= 2.5 which when installed crashes 
    gourmet at startup. (Closes: #507382) and python-sqlalchemy >= 0.5.
    Both restrictions should eventually be relaxed when upstream has
    made the code compatible with the newer libs.

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 12 Jan 2009 23:03:28 +0100

gourmet (0.14.3-1) unstable; urgency=low

  * new upstream release

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 05 Jan 2009 19:29:20 +0100

gourmet (0.14.2-1) unstable; urgency=low

  * new upstream release
  * add manpage, courtesy of François Wendling.  (Closes: #495796).
  * add 06-change-sys-path-append.patch
    sys.path.append('/usr/share') can be dangerous

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 24 Nov 2008 10:38:57 +0100

gourmet (0.14.0-1) unstable; urgency=low

  * initial release on debian.  Closes #427474.
  * 01-disable_gtk_check.patch enables headless builds
  * 02-fix_gnome_menu.patch makes sure gourmet places itself correctly
    in the menu
  * the upstream tarball apparently misses some files unintentionally
    They have been fetched from upstream cvs and sf.net ticket 2022831


=== debian/control ===
Source: gourmet
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
Homepage: http://grecipe-manager.sf.net/
Standards-Version: 3.8.4
XS-Python-Version: all
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: python-gtk2-dev, python-central (>= 0.5.6), intltool

Package: gourmet
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-imaging, python-glade2, python-gtk2 (>= 2.3.92), python-reportlab, python-sqlalchemy, python-poppler
Recommends: python-gnome2, python-gtkspell
Conflicts: python-pysqlite2 (>= 2.5)
XB-Python-Version: ${python:Versions}
Description: A gtk-based recipe organizer and shopping list generator
 Gourmet Recipe Manager is a gtk-based recipe organizer and shopping
 list generator intended for the GNOME desktop environment (though it
 does not need all the GNOME libraries). Gourmet can import
 Mealmaster(tm) files and can export recipes in a number of formats,
 including text, RTF and web pages. Gourmet also can calculate nutritional
 information for recipes.

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	dh_clean gourmet.desktop

	rm -rf build/

	find . -name "*.pyc" -delete

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	python setup.py install --no-compile --root=$(CURDIR)/debian/gourmet \
	--install-lib /usr/share/gourmet --prefix=/usr

#	python setup.py install --no-compile --disable-modules-check --root=$(CURDIR)/debian/gourmet \
#	--install-lib /usr/share/gourmet --prefix=/usr


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_pycentral
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_installmenu
	dh_installman gourmet.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here. (nothing to be done)
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## gourmet 0.15.6

=== debian/changelog ===
gourmet (0.15.6-1) unstable; urgency=low

  * New upstream release.
  * Removed 02_sqlalchemy-bug patch included upstream.

 -- Christian Marillat <marillat@debian.org>  Fri, 23 Jul 2010 14:55:58 +0200

gourmet (0.15.5-2) unstable; urgency=low

  * Patch from upstream git to fix a sqlalchemy bug (Ctrl+Q doesn't work).

 -- Christian Marillat <marillat@debian.org>  Fri, 16 Jul 2010 11:14:08 +0200

gourmet (0.15.5-1) unstable; urgency=low

  * New upstream release.
  * Removed 02_sqlalchemy patch included upstream.
  * Bump Standards-Version to 3.9.0 (no changes).

 -- Christian Marillat <marillat@debian.org>  Sun, 11 Jul 2010 09:03:29 +0200

gourmet (0.15.4-4) unstable; urgency=low

  * New patch (02_sqlalchemy) from upstream git to fix sqlalchemy 0.6 bugs
    (Closes: #585009 #585093).
  * Added python-gtkspell in recommends. Thsi package is needed if the
    spellcheck plugin is enabled. (Closes: #586881).
  * Seems to works with python-pysqlite2 and thus remove the conflicts for
    this package (Closes: #586880).

 -- Christian Marillat <marillat@debian.org>  Wed, 23 Jun 2010 16:02:36 +0200

gourmet (0.15.4-3) unstable; urgency=low

  * Don't set a python version in debian/pyversions (Closes: 584834).
  * Don't raise str exception in src/lib/plugin_gui.py (Closes: 584833)
    thanks to Steve Langasek for the patch.

 -- Christian Marillat <marillat@debian.org>  Mon, 07 Jun 2010 17:31:01 +0200

=== debian/control ===
Source: gourmet
Section: gnome
Priority: optional
Maintainer: Christian Marillat <marillat@debian.org>
Homepage: http://grecipe-manager.sf.net/
Standards-Version: 3.9.0
XS-Python-Version: all
Build-Depends: debhelper (>= 7), quilt
Build-Depends-Indep: python-gtk2-dev, python-central (>= 0.5.6), intltool

Package: gourmet
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-imaging, python-glade2, python-gtk2 (>= 2.3.92), python-reportlab, python-sqlalchemy, python-poppler
Recommends: python-gnome2, python-gtkspell
XB-Python-Version: ${python:Versions}
Description: A gtk-based recipe organizer and shopping list generator
 Gourmet Recipe Manager is a gtk-based recipe organizer and shopping list
 generator intended for the GNOME desktop environment (though it does not
 need all the GNOME libraries). Gourmet can import Mealmaster(tm) files and
 can export recipes in a number of formats, including text, RTF and web
 pages. Gourmet also can calculate nutritional information for recipes.

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,14 @@
 #!/usr/bin/make -f
 
+include /usr/share/quilt/quilt.make
+
 build: build-stamp
-build-stamp:
+build-stamp: debian/stamp-patched
 	dh_testdir
 
 	touch build-stamp
 
-clean:
+clean: unpatch
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
@@ -34,11 +36,11 @@
 binary-indep: build install
 	dh_testdir
 	dh_testroot
-	dh_pycentral
 	dh_installchangelogs CHANGES
 	dh_installdocs
 	dh_installmenu
 	dh_installman gourmet.1
+	dh_pycentral
 	dh_link
 	dh_strip
 	dh_compress
@@ -47,7 +49,7 @@
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
-	dh_builddeb
+	dh_builddeb -- -Zbzip2
 
 # Build architecture-dependent files here. (nothing to be done)
 binary-arch: build install

## gourmet 0.15.7

=== debian/changelog ===
gourmet (0.15.7-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sat, 18 Dec 2010 18:54:09 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: http://grecipe-manager.sf.net/
-Standards-Version: 3.9.0
-XS-Python-Version: all
+Standards-Version: 3.9.1
+XS-Python-Version: current
 Build-Depends: debhelper (>= 7), quilt
 Build-Depends-Indep: python-gtk2-dev, python-central (>= 0.5.6), intltool
 
@@ -12,7 +12,6 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, python-imaging, python-glade2, python-gtk2 (>= 2.3.92), python-reportlab, python-sqlalchemy, python-poppler
 Recommends: python-gnome2, python-gtkspell
-XB-Python-Version: ${python:Versions}
 Description: A gtk-based recipe organizer and shopping list generator
  Gourmet Recipe Manager is a gtk-based recipe organizer and shopping list
  generator intended for the GNOME desktop environment (though it does not

=== debian/rules ===
--- 
+++ 
@@ -34,22 +34,22 @@
 
 # Build architecture-independent files here.
 binary-indep: build install
-	dh_testdir
-	dh_testroot
-	dh_installchangelogs CHANGES
-	dh_installdocs
-	dh_installmenu
-	dh_installman gourmet.1
-	dh_pycentral
-	dh_link
-	dh_strip
-	dh_compress
-	dh_fixperms
-	dh_installdeb
-	dh_shlibdeps
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb -- -Zbzip2
+	dh_testdir -i
+	dh_testroot -i
+	dh_installchangelogs -i CHANGES
+	dh_installdocs -i
+	dh_installmenu -i
+	dh_installman -i gourmet.1
+	dh_pycentral -i
+	dh_link -i
+	dh_strip -i
+	dh_compress -i
+	dh_fixperms -i
+	dh_installdeb -i
+	dh_shlibdeps -i
+	dh_gencontrol -i
+	dh_md5sums -i
+	dh_builddeb -i -- -Zbzip2
 
 # Build architecture-dependent files here. (nothing to be done)
 binary-arch: build install

## gourmet 0.15.9

=== debian/changelog ===
gourmet (0.15.9-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Thu, 24 Mar 2011 08:43:54 +0100

gourmet (0.15.8-1) unstable; urgency=low

  * New upstream release.
  * debian/rules Replaces python-central bu python2 (Closes: #616834).
  * This release fix an execption when opening the database (Closes: #597263).

 -- Christian Marillat <marillat@debian.org>  Wed, 09 Mar 2011 08:56:36 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: http://grecipe-manager.sf.net/
 Standards-Version: 3.9.1
-XS-Python-Version: current
+XS-Python-Version: >= 2.6
 Build-Depends: debhelper (>= 7), quilt
-Build-Depends-Indep: python-gtk2-dev, python-central (>= 0.5.6), intltool
+Build-Depends-Indep: python-gtk2-dev, intltool
 
 Package: gourmet
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	dh_installdocs -i
 	dh_installmenu -i
 	dh_installman -i gourmet.1
-	dh_pycentral -i
+	dh_python2 -i
 	dh_link -i
 	dh_strip -i
 	dh_compress -i

=== debian/watch ===
version=3
opts="uversionmangle=s/recipe-manager-?//" http://sf.net/grecipe-manager/gourmet-(.+)\.tar\.gz

## gourmet 0.16.0

=== debian/changelog ===
gourmet (0.16.0-0ubuntu1) raring; urgency=low

  [ Bernhard Reiter ]
  * New upstream release (Closes: #530403, LP: #1010659).
    This also fixes PIL imports as requested by
    http://lists.debian.org/debian-python/2013/02/msg00017.html
  * debian/control:
    - Bump Standards-Version to 3.9.4.
    - Remove XS-Python-Version line.
    - Build-Depends: Remove quilt, add python-all, upgrade debhelper version to
      (>= 7.0.50~).
    - Build-Depends-Indep: Remove python-gtk2-dev, add python-distutils-extra.
    - Add Pre-Depends: dpkg (>= 1.15.6~) (for xz compression).
    - Depends: Drop python-glade2, increase python-gtk2 version (>= 2.22.0),
      version depend on python-sqlalchemy (>= 0.7), add python-elib.intl.
    - Recommends: Drop python-gnome2, add python-gst0.10, python-beautifulsoup.
    - Description: Update to reflect contents of gourmet/version.py.
  * debian/copyright:
    - Switch to packaging-manuals/copyright-format/1.0 format.
    - Add contributors as of gourmet/version.py.
  * debian/dirs: Remove, as obsolete.
  * debian/docs: s/README/README.md
  * debian/manpages: Add.
  * debian/patches/01_fix_raise_str.diff:
    Drop (fixed upstream).
  * debian/patches/lc-all-c, debian/patches/series:
    Fix a bug that caused gourmet to fail when LC_ALL=C.
  * debian/patches/license-location, debian/patches/series:
    Add patch to change the location used to look for the license.
  * debian/rules: Switch to tiny dh style, xz compression.
  * debian/watch: Update to new location of releases on Launchpad.

 -- Bernhard Reiter <ockham@raz.or.at>  Fri, 01 Mar 2013 00:16:00 +0100

=== debian/control ===
Source: gourmet
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
Homepage: http://grecipe-manager.sf.net/
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 7.0.50~), python-all
Build-Depends-Indep: intltool, python-distutils-extra

Package: gourmet
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python:Depends}, python-imaging, python-elib.intl,
 python-gtk2 (>= 2.22.0), python-reportlab, python-sqlalchemy (>= 0.7),
 python-poppler
Recommends: python-gst0.10, python-gtkspell, python-beautifulsoup
Description: recipe organizer and shopping list generator
 Gourmet Recipe Manager is a gtk-based application to store, organize and
 search recipes.
 .
 Features:
  * Makes it easy to create shopping lists from recipes.
  * Imports recipes from a number of sources, including MealMaster and
    MasterCook archives and several popular websites.
  * Exports recipes as PDF files, plain text, MealMaster files, HTML web pages,
    and a custom XML format for exchange with other Gourmet users.
  * Supports linking images with recipes.
  * Can calculate nutritional information for recipes based on the ingredients.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with python2

override_dh_auto_install:
	dh_auto_install -- --prefix=/usr
	rm debian/gourmet/usr/share/doc/gourmet/LICENSE

override_dh_installchangelogs:
	dh_installchangelogs CHANGES ChangeLog

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
https://launchpad.net/gourmet/+download https://launchpad.net/gourmet/main/.*/\+download/gourmet-(.+)\.tar\.bz2

## gourmet 0.16.1

=== debian/changelog ===
gourmet (0.16.1-1ubuntu1) saucy; urgency=low

  * debian/patches/fix_schema_upgrade.patch: fix typo preventing a schema
    upgrade resulting in the recipe database being broken. (LP: #1240120)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 15 Oct 2013 11:29:28 -0400

gourmet (0.16.1-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright and remove uneeded dependencies (Closes: #718413)
  * Removed 01_lc-all-c patch included upstream.
  * Rename 02_license-location patch to 01_license-location.
  * Don't compress the package with xz. This is now the default in dpkg-deb.

 -- Christian Marillat <marillat@debian.org>  Thu, 12 Sep 2013 11:35:02 +0200

gourmet (0.16.0-5) unstable; urgency=low

  * Add python-gst0.10 in Suggests.
  * Add python-beautifulsoup in Recommends (Closes: #530403).
  * New patch 01_lc-all-c.diff to fix crash with locale (Closes: #614367).

 -- Christian Marillat <marillat@debian.org>  Thu, 13 Jun 2013 15:11:40 +0200

gourmet (0.16.0-4) unstable; urgency=low

  * Remove old patch 01_fix_raise_str.diff and remove python-gnome2 from
    Recommends (Closes: #709299).

 -- Christian Marillat <marillat@debian.org>  Sun, 26 May 2013 10:06:49 +0200

gourmet (0.16.0-3) unstable; urgency=low

  * Upload to unstable.

 -- Christian Marillat <marillat@debian.org>  Sun, 05 May 2013 15:09:57 +0200

gourmet (0.16.0-2) experimental; urgency=low

  * Should depends on python-elib.intl (Closes: #704896)

 -- Christian Marillat <marillat@debian.org>  Sun, 07 Apr 2013 16:31:51 +0200

gourmet (0.16.0-1) experimental; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Thu, 07 Mar 2013 09:06:33 +0100

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,15 @@
 XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: http://grecipe-manager.sf.net/
 Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 7.0.50~), python-all
+XS-Python-Version: >= 2.7
+Build-Depends: debhelper (>= 9), python | python-all | python-dev | python-all-dev
 Build-Depends-Indep: intltool, python-distutils-extra
 
 Package: gourmet
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${misc:Depends}, ${python:Depends}, python-imaging, python-elib.intl,
- python-gtk2 (>= 2.22.0), python-reportlab, python-sqlalchemy (>= 0.7),
- python-poppler
+Depends: ${misc:Depends}, ${python:Depends}, python-imaging, python-gtk2 (>= 2.22.0), python-reportlab, python-sqlalchemy, python-poppler, python-elib.intl
 Recommends: python-gst0.10, python-gtkspell, python-beautifulsoup
-Description: recipe organizer and shopping list generator
+Description: Recipe organizer and shopping list generator.
  Gourmet Recipe Manager is a gtk-based application to store, organize and
  search recipes.
  .

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_installman:
	dh_installman gourmet.1

override_dh_install:
	dh_install --fail-missing

	rm debian/gourmet/usr/share/doc/gourmet/LICENSE

override_dh_clean:
	dh_clean po/gourmet.pot

	-rm -rf build

=== debian/watch ===
version=3

opts="uversionmangle=s/debian||0ubuntu1//" \
http://github.com/thinkle/gourmet/releases \
/thinkle/gourmet/archive/(.*)\.tar\.gz

## gourmet 0.17.0

=== debian/changelog ===
gourmet (0.17.0-1ubuntu1) trusty; urgency=medium

  * Fix XML import (LP: #1296757)
    - debian/patches/fix_imports.patch: add missing imports to
      gourmet/plugins/import_export/gxml_plugin/gxml2_importer.py.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 24 Mar 2014 10:49:28 -0400

gourmet (0.17.0-1) unstable; urgency=medium

  * New pstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 09 Mar 2014 10:49:31 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
-Homepage: http://grecipe-manager.sf.net/
-Standards-Version: 3.9.4
+Homepage: http://thinkle.github.io/gourmet/
+Standards-Version: 3.9.5
 XS-Python-Version: >= 2.7
 Build-Depends: debhelper (>= 9), python | python-all | python-dev | python-all-dev
 Build-Depends-Indep: intltool, python-distutils-extra
@@ -13,7 +13,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, python-imaging, python-gtk2 (>= 2.22.0), python-reportlab, python-sqlalchemy, python-poppler, python-elib.intl
 Recommends: python-gst0.10, python-gtkspell, python-beautifulsoup
-Description: Recipe organizer and shopping list generator.
+Description: Recipe organizer and shopping list generator
  Gourmet Recipe Manager is a gtk-based application to store, organize and
  search recipes.
  .

=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,6 @@
 	dh_clean po/gourmet.pot
 
 	-rm -rf build
+
+override_dh_compress:
+	dh_compress -XFAQ

## gourmet 0.17.4

=== debian/changelog ===
gourmet (0.17.4-7) unstable; urgency=medium

  * Add python-bs4 to Recommends: and replace (with a patch to import
    gtkspellcheck instead of gtkspell) python-gtkspell by
    python-gtkspellcheck (Closes: #934656)

 -- Christian Marillat <marillat@debian.org>  Sun, 18 Aug 2019 15:23:41 +0200

gourmet (0.17.4-6) unstable; urgency=medium

  * Remove python-beautifulsoup from Recommends (Closes: #891100)

 -- Christian Marillat <marillat@debian.org>  Sun, 25 Feb 2018 18:23:03 +0100

gourmet (0.17.4-5) unstable; urgency=medium

  * Remove python-poppler dependency and remove print_plugin.py plugin.

 -- Christian Marillat <marillat@debian.org>  Fri, 05 Jan 2018 16:34:39 +0100

gourmet (0.17.4-4) unstable; urgency=medium

  * Remove python-imaging dependency (Closes: #866427)

 -- Christian Marillat <marillat@debian.org>  Sun, 02 Jul 2017 10:08:59 +0200

gourmet (0.17.4-3) unstable; urgency=medium

  * Add python-lxml in Recommends needed by My Cookbook plugin.
  * Replaces tostring by tobytes in ratingWidget.py python-pil >= 3 is
    required.

 -- Christian Marillat <marillat@debian.org>  Wed, 09 Dec 2015 12:04:24 +0100

gourmet (0.17.4-2) unstable; urgency=medium

  * Update to gstreamer 1.0 in patch 02_gstreamer-1.0 (Closes: #785814)

 -- Christian Marillat <marillat@debian.org>  Wed, 10 Jun 2015 08:29:38 +0200

gourmet (0.17.4-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 08 Jun 2014 19:13:29 +0200

gourmet (0.17.3-1) unstable; urgency=medium

  * New upstream release.
  * From upstream : Replace compressed jQuery v1.4.2 by uncompressed v1.11.0
    (Closes: #744707)

 -- Christian Marillat <marillat@debian.org>  Sun, 04 May 2014 19:23:27 +0200

gourmet (0.17.2-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Thu, 27 Mar 2014 08:40:47 +0100

=== debian/control ===
Source: gourmet
Section: gnome
Priority: optional
Maintainer: Christian Marillat <marillat@debian.org>
Homepage: http://thinkle.github.io/gourmet/
Standards-Version: 4.4.0
Build-Depends: debhelper-compat (= 11), python | python-all | python-dev | python-all-dev
Build-Depends-Indep: intltool, python-distutils-extra

Package: gourmet
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-gtk2 (>= 2.22.0), python-reportlab, python-sqlalchemy, python-elib.intl, python-pil (>= 3.0.0~)
Recommends: python-gst-1.0, python-gtkspellcheck, python-lxml, python-bs4
Description: Recipe organizer and shopping list generator
 Gourmet Recipe Manager is a gtk-based application to store, organize and
 search recipes.
 .
 Features:
  * Makes it easy to create shopping lists from recipes.
  * Imports recipes from a number of sources, including MealMaster and
    MasterCook archives and several popular websites.
  * Exports recipes as PDF files, plain text, MealMaster files, HTML web pages,
    and a custom XML format for exchange with other Gourmet users.
  * Supports linking images with recipes.
  * Can calculate nutritional information for recipes based on the ingredients.

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,13 @@
 	dh_installman gourmet.1
 
 override_dh_install:
-	dh_install --fail-missing
+	dh_install
 
 	rm debian/gourmet/usr/share/doc/gourmet/LICENSE
+	rm -rf debian/gourmet/usr/lib/python2.7/dist-packages/gourmet/plugins/import_export/pdf_plugin/
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_clean:
 	dh_clean po/gourmet.pot

## gourmet 0.17.5~alpha2

=== debian/changelog ===
gourmet (0.17.5~alpha2-7) unstable; urgency=medium

  * Install desktop and pixmaps files (Closes: #973945)

 -- Christian Marillat <marillat@debian.org>  Sun, 17 Jan 2021 09:40:25 +0100

gourmet (0.17.5~alpha2-6) unstable; urgency=medium

  * Move python3-argcomplete from Recommends to Depends and add
    python3-requests and python3-toml to Depends (Closes: #973006)

 -- Christian Marillat <marillat@debian.org>  Sun, 01 Nov 2020 16:02:13 +0100

gourmet (0.17.5~alpha2-5) unstable; urgency=medium

  * Add python3-argcomplete to Depends (Closes: #973006)

 -- Christian Marillat <marillat@debian.org>  Tue, 27 Oct 2020 11:08:52 +0100

gourmet (0.17.5~alpha2-4) unstable; urgency=medium

  * Remove not yet packaged (and not ready for python 3.8)
    python3-scrape-schema-recipe from Recommends
  * Add python3-ebooklib to Suggests
  * Upload to unstable.

 -- Christian Marillat <marillat@debian.org>  Sun, 25 Oct 2020 09:54:30 +0100

gourmet (0.17.5~alpha2-3) experimental; urgency=medium

  * Call 'python3 setup.py build_i18n' before dh_auto_build. Now plugins are
    loaded correctly.

 -- Christian Marillat <marillat@debian.org>  Wed, 21 Oct 2020 00:41:02 +0200

gourmet (0.17.5~alpha2-2) experimental; urgency=medium

  * Don't call dh with '--with quilt'

 -- Christian Marillat <marillat@debian.org>  Tue, 20 Oct 2020 16:59:16 +0200

gourmet (0.17.5~alpha2-1) experimental; urgency=medium

  * New upstream release.
  * This release fix a warning when the package is installed (Closes:
    #972476)
  * Note : plugins are not loaded. Bug already reported upstream (github
    bug #264).

 -- Christian Marillat <marillat@debian.org>  Tue, 20 Oct 2020 11:13:24 +0200

gourmet (0.17.4+20200608.git917082d7-1) experimental; urgency=medium

  * Git snapshot from the python3 fork repository.

 -- Christian Marillat <marillat@debian.org>  Mon, 08 Jun 2020 09:37:57 +0200

=== debian/control ===
Source: gourmet
Section: gnome
Priority: optional
Maintainer: Christian Marillat <marillat@debian.org>
Homepage: https://github.com/kirienko/gourmet
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), intltool, dh-sequence-python3,
 python3, python3-setuptools, python3-gi, gir1.2-gtk-3.0

Package: gourmet
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-gi, gir1.2-gtk-3.0,
 python3-reportlab, python3-sqlalchemy, python3-pil, python3-bs4,
 python3-argcomplete, python3-requests, python3-toml
Recommends: python3-pyglet, kpython3-gtkspellcheck, python3-lxml
#, python3-scrape-schema-recipe
Suggests: python3-ebooklib
Description: Recipe organizer and shopping list generator
 Gourmet Recipe Manager is a gtk-based application to store, organize and
 search recipes.
 .
 Features:
  * Makes it easy to create shopping lists from recipes.
  * Imports recipes from a number of sources, including MealMaster and
    MasterCook archives and several popular websites.
  * Exports recipes as PDF files, plain text, MealMaster files, HTML web pages,
    and a custom XML format for exchange with other Gourmet users.
  * Supports linking images with recipes.
  * Can calculate nutritional information for recipes based on the ingredients.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Spybuild

override_dh_auto_build:
	python3 setup.py build_i18n

	dh_auto_build

override_dh_clean:
	dh_clean gourmet/po/gourmet.pot gourmet.egg-info/* \
	po/.intltool-merge-cache gourmet.desktop gourmet.appdata.xml

	find -name *.gourmet-plugin -delete

# No tests for now
override_dh_auto_test:

=== debian/watch ===
version=4

#opts="uversionmangle=s/debian|-0ubuntu1//" \
#http://github.com/thinkle/gourmet/releases \
#/thinkle/gourmet/archive/(.*)@ARCHIVE_EXT@

## gourmet 1.0.1

=== debian/changelog ===
gourmet (1.0.1-3) unstable; urgency=medium

  * Now gourmet is a transitional package to install gourmand.
  * This package will be moved to the gourmand source once gourmand 1.1.0 is
    released.

 -- Christian Marillat <marillat@debian.org>  Sun, 05 Dec 2021 23:26:20 +0100

gourmet (1.0.1-2) unstable; urgency=medium

  * Should Depends on python3-gst-1.0 (Closes: #994679)

 -- Christian Marillat <marillat@debian.org>  Sun, 19 Sep 2021 13:06:09 +0200

gourmet (1.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 19 Jul 2021 17:51:33 +0200

=== debian/control ===
Source: gourmet
Section: gnome
Priority: optional
Maintainer: Christian Marillat <marillat@debian.org>
Homepage: https://github.com/kirienko/gourmet
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), dh-sequence-python3

Package: gourmet
Architecture: all
Section: oldlibs
Depends: ${misc:Depends}, gourmand
Description: transitionnal package to install gourmand
 This is a transitional dummy package, it can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# Does nothing
override_dh_auto_configure override_dh_auto_build:
override_dh_auto_install override_dh_auto_clean override_dh_auto_test:

=== debian/watch ===
version=4

https://github.com/kirienko/gourmet/releases \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
